//
//	GPIO methods.
//
//	Copyright 2014 Mark Stevens
//
#include "GPIO.h"

//
//	Initialise the GPIO ports setting up the clocks.
//
void InitialiseGPIO()
{
	GPIO_InitTypeDef GPIO_InitStructure;
	//
    //  Initialise the peripheral clocks.
    //
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOA, ENABLE);
	RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOE, ENABLE);
	//
	//	Configure pins used by SPI1:
	//		PA5 = SCLK
	//		PA6 = MISO
	//		PA7 = MOSI
	//
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_7 | GPIO_Pin_6 | GPIO_Pin_5;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	//
	//	Configure the Port E:
	//		PE6 - SPI chip select pin.
	//		PE5 - 1ms heartbeat.
	//
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_6 | GPIO_Pin_5;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
	GPIO_Init(GPIOE, &GPIO_InitStructure);
}
